#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int teritorije[n];
    for(int i = 0; i < n; i++){
        int a, b;
        cin >> a >> b;
        teritorije[a]++;
        teritorije[b]++;
    }
    
    int max = 0;
    for(int i = 0; i < n; i++){
        if (teritorije[i] > max){
            max = teritorije[i];
        }
    }
    
    cout << n - max + 1;
}